# Created by pyp2rpm-3.3.6
%global pypi_name platformio
%global github_user %{pypi_name}
%global github_project %{pypi_name}-core

Name:           python-%{pypi_name}
Version:        6.1.3
Release:        2%{?dist}.4
Summary:        A professional collaborative platform for embedded development

License:        ASL 2.0
URL:            https://platformio.org
Source0:        https://github.com/%{github_user}/%{github_project}/archive/v%{version}/%{github_project}-%{version}.tar.gz
Patch0:         python-platformio-fix_deps.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(aiofiles) >= 0.7
BuildRequires:  (python3dist(ajsonrpc) >= 1 with python3dist(ajsonrpc) < 2~~)
BuildRequires:  (python3dist(bottle) >= 0.12 with python3dist(bottle) < 0.13~~)
BuildRequires:  python3dist(certifi)
BuildRequires:  (python3dist(click) >= 8 with python3dist(click) < 9~~)
BuildRequires:  python3dist(colorama)
BuildRequires:  python3dist(jsondiff)
BuildRequires:  (python3dist(marshmallow) >= 3 with python3dist(marshmallow) < 4~~)
BuildRequires:  (python3dist(pyelftools) >= 0.27 with python3dist(pyelftools) < 1~~)
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  (python3dist(pyserial) >= 3 with python3dist(pyserial) < 4~~)
BuildRequires:  python3dist(pytest)
BuildRequires:  (python3dist(requests) >= 2 with python3dist(requests) < 3~~)
BuildRequires:  python3dist(scons)
BuildRequires:  python3dist(semantic-version) >= 2.8
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(starlette) >= 0.16
BuildRequires:  python3dist(tabulate) >= 0.8
BuildRequires:  python3dist(twisted)
BuildRequires:  python3dist(uvicorn) >= 0.15
BuildRequires:  python3dist(wsproto) >= 1
BuildRequires:  python3dist(zeroconf) < 1~~
BuildRequires:  git-core

%description
PlatformIO .. image::

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(aiofiles) >= 0.7
Requires:       (python3dist(ajsonrpc) >= 1 with python3dist(ajsonrpc) < 2)
Requires:       (python3dist(bottle) >= 0.12 with python3dist(bottle) < 0.13)
Requires:       python3dist(certifi)
Requires:       (python3dist(click) >= 8 with python3dist(click) < 9)
Requires:       python3dist(colorama)
Requires:       python3dist(jsondiff)
Requires:       (python3dist(marshmallow) >= 2 with python3dist(marshmallow) < 4)
Requires:       (python3dist(pyelftools) >= 0.27 with python3dist(pyelftools) < 1)
Requires:       python3dist(pyopenssl)
Requires:       (python3dist(pyserial) >= 3 with python3dist(pyserial) < 4)
Requires:       (python3dist(requests) >= 2 with python3dist(requests) < 3)
Requires:       python3dist(scons)
Requires:       python3dist(semantic-version) >= 2.8
Requires:       python3dist(setuptools)
Requires:       python3dist(starlette) >= 0.16
Requires:       python3dist(tabulate) >= 0.8
Requires:       python3dist(twisted)
Requires:       python3dist(uvicorn) >= 0.15
Requires:       python3dist(wsproto) >= 1
Requires:       python3dist(zeroconf) >= 0.36
Requires:       git-core
%description -n python3-%{pypi_name}
PlatformIO .. image::


%prep
%autosetup -n %{github_project}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# Tests require internet connection
# PATH="%{buildroot}%{_bindir}:$PATH" PYTHONPATH='%{buildroot}%{python3_sitelib}' %{_bindir}/pytest-3 -v

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/pio
%{_bindir}/piodebuggdb
%{_bindir}/platformio
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/scripts
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Nov 16 2022 Oleg Girko <ol@infoserver.lv> - 6.1.3-2
- Actually relax more version requirements for dependencies
* Wed Nov 16 2022 Oleg Girko <ol@infoserver.lv> - 6.1.3-1
- Update to 6.1.3.
- Relax more version requirements for dependencies
* Wed Apr 13 2022 Oleg Girko <ol@infoserver.lv> - 5.2.5-1
- Update to 5.2.5.
* Tue Jun 15 2021 Oleg Girko <ol@infoserver.lv> - 5.1.1-1
- Initial package.
